Bug 197753 - Review Request: gdmap
Review Request: gdmap
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chitlesh GOORAH
Fedora Package Reviews List
: Reopened
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-07-05 19:27 EDT by Damien Durand
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-02 19:31:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Damien Durand 2006-07-05 19:27:43 EDT
Spec URL: http://glive.tuxfamily.org/fedora/gdmap/gdmap.spec
SRPM URL: http://glive.tuxfamily.org/fedora/gdmap/gdmap-0.7.5-1.src.rpm
Description: GdMap is a tool which allows you to visualize disk space with one single picture. To display directory structures, cushion treemaps are used to 
visualize a complete folder or even the whole hard drive with one picture.
Comment 1 Parag AN(पराग) 2006-07-06 01:01:36 EDT
== Not an official review as I'm not yet sponsored ==
* Mock build for development i386 is NOT sucessfull
  Error is=>
  checking for XML::Parser... configure: error: XML::Parser perl module is
required for intltool

  I tried adding perl-XML-Parser in BuildRequires but still build failed.

MUST Items:
     - MUST: rpmlint shows no error 
     - MUST: dist tag is present
     - MUST: The package is named according to the Package Naming Guidelines.
     - MUST: The spec file name matching the base package gdmap, in the
format gdmap.spec
     - MUST: This package contains License file COPYING.
      - MUST: This package meets the Packaging Guidelines.
      - MUST: The package is licensed with an open-source compatible license GPL.
      - MUST: The sources used to build the package matches the upstream source,
as provided in the spec URL. md5sum is correct (e27f9a4c029449182ce5a4dbec38870e).
      - MUST: This package  have a %clean section, which contains rm -rf
$RPM_BUILD_ROOT.
      - MUST: This package used macros.
      - MUST: Document files are included like INSTALL README.
      - MUST: Package did NOT contained any .la libtool archives.
      * Source URL is present and working.
      * BuildRoot is correct BuildRoot:       
%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
      * BuildRequires is correct
   
Comment 2 Paul Howarth 2006-07-06 03:08:03 EDT
(In reply to comment #1)
> == Not an official review as I'm not yet sponsored ==
> * Mock build for development i386 is NOT sucessfull
>   Error is=>
>   checking for XML::Parser... configure: error: XML::Parser perl module is
> required for intltool
> 
>   I tried adding perl-XML-Parser in BuildRequires but still build failed.

A buildreq of intltool is needed. And the current buildreq of gettext-devel
should be changed to gettext - the -devel package isn't needed.

I also noticed the use of %{_datadir}/locale in the files list. That is a
blocker, and should be removed.

Use:

  %find_lang GdMap

at the end of %install, and then:

  %files -f GdMap.lang
Comment 3 Parag AN(पराग) 2006-07-06 05:52:10 EDT
Paul,
       Now as per your usggestions i did adding gettext and removed gettext-devel. 
 The BuildRequires line i used is
BuildRequires:  gtk2-devel, libxml2-devel, desktop-file-utils, gettext
But still getting same error.
checking for XML::Parser... configure: error: XML::Parser perl module is
required for intltool
Comment 4 Paul Howarth 2006-07-06 06:13:53 EDT
(In reply to comment #3)
> Paul,
>        Now as per your usggestions i did adding gettext and removed
gettext-devel. 
>  The BuildRequires line i used is
> BuildRequires:  gtk2-devel, libxml2-devel, desktop-file-utils, gettext
> But still getting same error.
> checking for XML::Parser... configure: error: XML::Parser perl module is
> required for intltool

I also said a buildreq of intltool was needed.
Comment 5 Parag AN(पराग) 2006-07-06 06:16:48 EDT
I have already tried that one also with gettext but still same error. Have you
got it working with those BuildRequires?? I am doing mock build in development
i386 environment.
Comment 6 Paul Howarth 2006-07-06 06:20:50 EDT
I built it in mock for FC5 i386 with the changes suggested in Comment #2 this
morning. I don't have a rawhide mirror at home, which is why I built for FC5,
but I doubt that it would be different for development.
Comment 7 Damien Durand 2006-07-06 06:38:08 EDT
- Fix Buidrequires, add intltool
- Fix locales, add %find_lang GdMap and %files -f GdMap.lang and remove
{_datadir}/locales

Spec URL : http://glive.tuxfamily.org/fedora/gdmap/gdmap.spec
Srpms URL : http://glive.tuxfamily.org/fedora/gdmap/gdmap-0.7.5-2.src.rpm
Comment 8 Damien Durand 2006-07-07 08:07:10 EDT
- Fixed mixed-use-of-spaces-and-tabs and %%find_lang in changelog
- added category System and delete-original in desktop-file-install

Spec URL : http://glive.tuxfamily.org/fedora/gdmap/gdmap.spec
Srpms URL : http://glive.tuxfamily.org/fedora/gdmap/gdmap-0.7.5-3.src.rpm
Comment 9 Chitlesh GOORAH 2006-07-07 08:09:18 EDT
MUST Items:

- MUST: rpmlint's output is clean
- MUST: The package is named according to the Package Naming Guidelines.
- MUST: The spec file name matches the base package %{name}
- MUST: The package meets the Packaging Guidelines.
- MUST: The package is licensed (GPL) with an open-source compatible license and
meet other legal requirements as defined in the legal section of Packaging
Guidelines.
- MUST: The License field in the package spec file matches the actual license.
- MUST: the source package includes the text of the license(s) in its own file,
then that file, containing the text of the license(s) for the package is
included in %doc.
- MUST: The spec file must be written in American English.
- MUST: The spec file for the package is be legible. 
- MUST: The sources used to build the package must matches the upstream source,
as provided in the spec URL.
- MUST: The package successfully compiles and builds into binary rpms on at
least i386.
- MUST: All build dependencies is listed in BuildRequires.
- MUST: The spec file handles locales properly.
- MUST: If the package does not contain shared library files located in the
dynamic linker's default paths
- MUST: the package is not designed to be relocatable
- MUST: the package owns all directories that it creates.
- MUST: the package does not contain any duplicate files in the %files listing.
- MUST: Permissions on files are set properly.
- MUST: The package has a %clean section, which contains rm -rf %{buildroot} (or
$RPM_BUILD_ROOT).
- MUST: The package consistently uses macros, as described in the macros section
of Packaging Guidelines.
- MUST: The package contains code, or permissable content. This is described in
detail in the code vs. content section of Packaging Guidelines.
- MUST: There are no Large documentation files
- MUST: %doc does not affect the runtime of the application. To summarize: If it
is in %doc, the program must run properly if it is not present.
- MUST: There are no Header files or static libraries 
- MUST: The package does not contain library files with a suffix 
- MUST: Package does NOT contain any .la libtool archives
- MUST: Package containing GUI applications includes a %{name}.desktop file, and
that file must be properly installed with desktop-file-install in the %install
section.
- MUST: Package does not own files or directories already owned by other packages. 

SHOULD Items:

 - SHOULD: The source package does include license text(s) as COPYING
 - SHOULD: mock builds succcessfully in i386.
 - SHOULD: The reviewer tested that the package functions as described. A
package should not segfault instead of running, for example.
 - SHOULD: No scriptlets were used, those scriptlets must be sane. 
 - SHOULD: No subpackages present.

APPROVED
Comment 10 Christian Iseli 2007-01-02 19:28:08 EST
Changed summary for tracking purposes.
Comment 11 Christian Iseli 2007-01-02 19:29:36 EST
Reopen to assign to reviewer
Comment 12 Christian Iseli 2007-01-02 19:31:57 EST
Assigned and close.

Note You need to log in before you can comment on or make changes to this bug.